Parser: EnemyCard
ID: 468793217
Initiative: 55
Shuffle: False
Data:
    Abilities: 
        Move1:
            Move: -1
        Attack1:
            Attack: 0
            Filter: Enemy
        Strengthen1:
            Strengthen: True
            Filter: Self
            AnimOverload: PowerUp